| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Friends | List of all members
SeisImporter Class Reference
Seis

Helps import or export of seismic data. More...

`#include <seisimporter.h>`

Inheritance diagram for SeisImporter:
[legend]

## Classes
struct | Reader
| provides traces from the import storage More...

## Public Member Functions
| SeisImporter (Reader *, SeisTrcWriter &, Seis::GeomType)
| Reader becomes mine. Has to be non-null.
virtual | ~SeisImporter ()
int | nextStep () override
od_int64 | nrDone () const override
int | nrSkipped () const
Reader & | reader ()
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
SeisTrcWriter & | writer ()
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Types
enum | State { ReadBuf , WriteBuf , ReadWrite }

## Protected Member Functions
int | doWrite (SeisTrc &)
bool | goImpl (od_ostream *, bool, bool, int) override
int | readIntoBuf ()
void | reportWrite (const uiString &)
bool | sortingOk (const SeisTrc &)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
SeisTrcBuf & | buf_
uiString | errmsg_
Seis::GeomType | geomtype_
uiString | hndlmsg_
Threads::ConditionVar & | lock_
int | maxqueuesize_
int | nrread_ = 0
int | nrskipped_ = 0
int | nrwritten_ = 0
BinID & | prevbid_
int | queueid_
Reader * | rdr_
int | sort2ddir_
BinIDSortingAnalyser * | sortanal_
BinIDSorting * | sorting_ = nullptr
State | state_
SeisTrc & | trc_
bool | writerismine_
SeisTrcWriter & | wrr_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Friends
class | SeisImporterWriterTask

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

Helps import or export of seismic data.

<>

## Member Enumeration Documentation

## ◆ State

enum SeisImporter::State
| protected

Enumerator
ReadBuf |
WriteBuf |
ReadWrite |

## Constructor & Destructor Documentation

## ◆ SeisImporter()

SeisImporter::SeisImporter | ( | Reader * | ,
|  | SeisTrcWriter & | ,
|  | Seis::GeomType | )

Reader becomes mine. Has to be non-null.

## ◆ ~SeisImporter()

virtual SeisImporter::~SeisImporter | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ doWrite()

int SeisImporter::doWrite | ( | SeisTrc & |  | ) |
| protected

## ◆ goImpl()

bool SeisImporter::goImpl | ( | od_ostream * | ,
|  | bool | ,
|  | bool | ,
|  | int | )
| override protected virtual

Reimplemented from Executor.

## ◆ nextStep()

int SeisImporter::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 SeisImporter::nrDone | ( |  | ) | const
| override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ nrSkipped()

int SeisImporter::nrSkipped | ( |  | ) | const
| inline

## ◆ reader()

Reader & SeisImporter::reader | ( |  | ) |
| inline

## ◆ readIntoBuf()

int SeisImporter::readIntoBuf | ( |  | ) |
| protected

## ◆ reportWrite()

void SeisImporter::reportWrite | ( | const uiString & |  | ) |
| protected

## ◆ sortingOk()

bool SeisImporter::sortingOk | ( | const SeisTrc & |  | ) |
| protected

## ◆ totalNr()

od_int64 SeisImporter::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString SeisImporter::uiMessage | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString SeisImporter::uiNrDoneText | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ writer()

SeisTrcWriter & SeisImporter::writer | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ SeisImporterWriterTask

friend class SeisImporterWriterTask
| friend

## Member Data Documentation

## ◆ buf_

SeisTrcBuf& SeisImporter::buf_
| protected

## ◆ errmsg_

uiString SeisImporter::errmsg_
| mutable protected

## ◆ geomtype_

Seis::GeomType SeisImporter::geomtype_
| protected

## ◆ hndlmsg_

uiString SeisImporter::hndlmsg_
| mutable protected

## ◆ lock_

Threads::ConditionVar& SeisImporter::lock_
| protected

## ◆ maxqueuesize_

int SeisImporter::maxqueuesize_
| protected

## ◆ nrread_

int SeisImporter::nrread_ = 0
| protected

## ◆ nrskipped_

int SeisImporter::nrskipped_ = 0
| protected

## ◆ nrwritten_

int SeisImporter::nrwritten_ = 0
| protected

## ◆ prevbid_

BinID& SeisImporter::prevbid_
| protected

## ◆ queueid_

int SeisImporter::queueid_
| protected

## ◆ rdr_

Reader* SeisImporter::rdr_
| protected

## ◆ sort2ddir_

int SeisImporter::sort2ddir_
| protected

## ◆ sortanal_

BinIDSortingAnalyser* SeisImporter::sortanal_
| protected

## ◆ sorting_

BinIDSorting* SeisImporter::sorting_ = nullptr
| protected

## ◆ state_

State SeisImporter::state_
| protected

## ◆ trc_

SeisTrc& SeisImporter::trc_
| protected

## ◆ writerismine_

bool SeisImporter::writerismine_
| protected

## ◆ wrr_

SeisTrcWriter& SeisImporter::wrr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025